Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 986713 - FTBFS test_gdb.py fails on arm [NEEDINFO]
Summary: FTBFS test_gdb.py fails on arm
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: python3
Version: 20
Hardware: arm
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Bohuslav "Slavek" Kabrda
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ARMTracker
TreeView+ depends on / blocked
 
Reported: 2013-07-21 20:23 UTC by Dennis Gilmore
Modified: 2014-09-23 17:39 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-23 17:39:12 UTC
bkabrda: needinfo? (dmalcolm)


Attachments (Terms of Use)

Description Dennis Gilmore 2013-07-21 20:23:30 UTC
Description of problem:

Verify that the "py-up" command works ... skipped 'Python was compiled with optimizations'
Verify that "py-bt" indicates threads that are waiting for the GIL ... FAIL
test_basic_command (__main__.PyPrintTests)
Verify that the "py-print" command works ... skipped 'Python was compiled with optimizations'
test_print_after_up (__main__.PyPrintTests) ... skipped 'Python was compiled with optimizations'
test_printing_builtin (__main__.PyPrintTests) ... skipped 'Python was compiled with optimizations'
test_printing_global (__main__.PyPrintTests) ... skipped 'Python was compiled with optimizations'
test_basic_command (__main__.PyLocalsTests) ... skipped 'Python was compiled with optimizations'
test_locals_after_up (__main__.PyLocalsTests) ... skipped 'Python was compiled with optimizations'

======================================================================
FAIL: test_threads (__main__.PyBtTests)
Verify that "py-bt" indicates threads that are waiting for the GIL
----------------------------------------------------------------------
Traceback (most recent call last):
  File "./Lib/test/test_gdb.py", line 758, in test_threads
    cmds_after_breakpoint=['thread apply all py-bt'])
  File "./Lib/test/test_gdb.py", line 212, in get_stack_trace
    self.assertEqual(unexpected_errlines, [])
AssertionError: Lists differ: ['Cannot access memory at addr... != []

First list contains 4 additional elements.
First extra element 0:
Cannot access memory at address 0x0

+ []
- ['Cannot access memory at address 0x0',
-  'Cannot access memory at address 0x0',
-  "Python Exception <class 'gdb.error'> Frame is invalid.: ",
-  'Error occurred in Python command: Frame is invalid.']

----------------------------------------------------------------------
Ran 45 tests in 105.321s

FAILED (failures=1, skipped=15)
Traceback (most recent call last):
  File "./Lib/test/test_gdb.py", line 887, in <module>
    test_main()
  File "./Lib/test/test_gdb.py", line 883, in test_main
    PyLocalsTests
  File "/builddir/build/BUILD/Python-3.3.2/Lib/test/support.py", line 1592, in run_unittest
    _run_suite(suite)
  File "/builddir/build/BUILD/Python-3.3.2/Lib/test/support.py", line 1567, in _run_suite
    raise TestFailed(err)
test.support.TestFailed: Traceback (most recent call last):
  File "./Lib/test/test_gdb.py", line 758, in test_threads
    cmds_after_breakpoint=['thread apply all py-bt'])
  File "./Lib/test/test_gdb.py", line 212, in get_stack_trace
    self.assertEqual(unexpected_errlines, [])
AssertionError: Lists differ: ['Cannot access memory at addr... != []

First list contains 4 additional elements.
First extra element 0:
Cannot access memory at address 0x0

+ []
- ['Cannot access memory at address 0x0',
-  'Cannot access memory at address 0x0',
-  "Python Exception <class 'gdb.error'> Frame is invalid.: ",
-  'Error occurred in Python command: Frame is invalid.']

[103998 refs]


Version-Release number of selected component (if applicable):
python3-3.3.2-3.fc20

Comment 1 Brendan Conoboy 2013-07-22 18:45:55 UTC
Is this the same as https://bugzilla.redhat.com/show_bug.cgi?id=951802 ?

Comment 2 Bohuslav "Slavek" Kabrda 2013-07-24 07:16:09 UTC
(In reply to Brendan Conoboy from comment #1)
> Is this the same as https://bugzilla.redhat.com/show_bug.cgi?id=951802 ?

Nah, this looks completely different. @CC Dave, do you have any idea what might cause this?
(note: there is a distinct possibility that my downstream patch [1] might influence this, but IMO it is not the case)

[1] http://pkgs.fedoraproject.org/cgit/python3.git/commit/?h=f19&id=b935d25938262c5161ab89752972f642f7dea5b6

Comment 3 Dennis Gilmore 2013-07-26 17:19:55 UTC
as a temporary workaround im disabling the test so we can move forward. we do need to get it fixed.

Comment 4 Fedora End Of Life 2013-09-16 14:41:45 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20


Note You need to log in before you can comment on or make changes to this bug.